Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.faces.ui
Class DojoClientDateValidator

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.springframework.faces.ui.SpringJavascriptElementDecoration
                  org.springframework.faces.ui.DojoWidget
                      org.springframework.faces.ui.DojoClientDateValidator

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    public class DojoClientDateValidator

extends DojoWidget

Component that uses the Dojo implementation of Spring JavaScript to decorate a child input component with client-side date validation behavior.

Author:
  Jeremy Grelle

Field Summary

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`DojoClientDateValidator()`

Method Summary
`java.lang.String` | `getDatePattern()`
`protected java.lang.String[]` | `getDojoAttributes()`
`java.lang.String` | `getWidgetType()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setDatePattern(java.lang.String datePattern)`

Methods inherited from class org.springframework.faces.ui.DojoWidget
`getConstraints, getDisabled, getIntermediateChanges, getInvalidMessage, getLowercase, getPromptMessage, getPropercase, getRegExp, getRegExpGen, getRequired, getTabIndex, getUppercase, setConstraints, setDisabled, setIntermediateChanges, setInvalidMessage, setLowercase, setPromptMessage, setPropercase, setRegExp, setRegExpGen, setRequired, setTabIndex, setUppercase`

Methods inherited from class org.springframework.faces.ui.SpringJavascriptElementDecoration
`getFamily`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DojoClientDateValidator

    public DojoClientDateValidator()

Method Detail

### getDatePattern

    public java.lang.String getDatePattern()

### setDatePattern

    public void setDatePattern(java.lang.String datePattern)

### getDojoAttributes

    protected java.lang.String[] getDojoAttributes()

  Specified by:
    `getDojoAttributes` in class `DojoWidget`

### getWidgetType

    public java.lang.String getWidgetType()

  Specified by:
    `getWidgetType` in class `DojoWidget`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `DojoWidget`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `DojoWidget`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD